> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch custom fields



## OpenAPI

````yaml /openapi/settings.json patch /v1/crm/settings/custom_fields/
openapi: 3.0.3
info:
  title: Yume API — Настройки
  version: 1.0.0
  description: Настройки приложения и пользовательские предпочтения.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/settings/custom_fields/:
    patch:
      tags:
        - custom_fields
      summary: Patch custom fields
      operationId: custom_fields_partial_update
      parameters:
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedCustomFieldUpdate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedCustomFieldUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedCustomFieldUpdate'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldUpdate'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PatchedCustomFieldUpdate:
      type: object
      properties:
        inventory_group:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        inventory_set:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        inventory:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        service:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        client:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        client_document:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        rental_point:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order_inventory:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order_service:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        funnel_lead:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        category:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
    CustomFieldUpdate:
      type: object
      properties:
        inventory_group:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        inventory_set:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        inventory:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        service:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        client:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        client_document:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        rental_point:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order_inventory:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        order_service:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        funnel_lead:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
        category:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldList'
    CustomFieldList:
      type: object
      properties:
        name:
          type: string
        label:
          type: string
          default: ''
        placeholder:
          type: string
          default: ''
        required:
          type: boolean
          default: false
        table:
          type: boolean
          default: false
        filter:
          type: boolean
          default: false
        type:
          allOf:
            - $ref: '#/components/schemas/CustomFieldListTypeEnum'
          default: string
        options:
          type: array
          items:
            type: string
      required:
        - name
    CustomFieldListTypeEnum:
      enum:
        - string
        - html
        - integer
        - decimal
        - boolean
        - date
        - datetime
        - color
        - client
        - inventory
        - product
        - set
      type: string
      description: |-
        * `string` - string
        * `html` - html
        * `integer` - integer
        * `decimal` - decimal
        * `boolean` - boolean
        * `date` - date
        * `datetime` - datetime
        * `color` - color
        * `client` - client
        * `inventory` - inventory
        * `product` - product
        * `set` - set
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````